<!--#
##
#	Project: PHPDISK File Storage Solution
#	This is NOT a freeware, use is subject to license terms.
#
#	Site: http://www.phpdisk.com
#
#	$Id: m_header.tpl.php 197 2016-08-12 08:11:33Z along $
#
#	Copyright (C) 2008-2016 PHPDisk Team. All Rights Reserved.
#
##
#-->
<?php !defined('IN_PHPDISK') && exit('[PHPDisk] Access Denied!'); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no" />  
<meta name="applicable-device" content="mobile">
<meta http-equiv="Content-Type" content="text/html; charset={$charset}" />
<title>{$title} - {$settings[wap_title]}</title>
<meta name="keywords" content="{$keywords}" />
<meta name="description" content="{$description}" />
<link rel="shortcut icon" href="favicon.ico">
<meta name="Copyright" content="Powered by PHPDisk Team, {PHPDISK_EDITION} {PHPDISK_VERSION} build{PHPDISK_RELEASE}" />
<meta name="generator" content="PHPDisk Team" />
<script type="text/javascript" src="includes/js/jquery-1.8.3.min.js"></script>
<script type="text/javascript" src="includes/js/common.js"></script>
<link href="images/common.css" rel="stylesheet" type="text/css">
<link href="{$wap_tpl_dir}/images/wap_style.css" rel="stylesheet" type="text/css">
<script>
var ua = navigator.userAgent;
var ipad = ua.match(/(iPad).*OS\s([\d_]+)/),
isIphone = !ipad && ua.match(/(iPhone\sOS)\s([\d_]+)/),
isAndroid = ua.match(/(Android)\s+([\d.]+)/);
isWPhone = ua.indexOf('Windows Phone') > -1 ? true : false;
isPhone = window.screen.availWidth<550 ? true : false;
if(!isIphone && !isAndroid && !isWPhone && !isPhone) {
	<!--#if($action=='view'){#-->
	location.href = '{$settings[phpdisk_url]}{#urr("viewfile","file_id=$file_id")#}';
	<!--#}#-->
}
</script>
</head>

<body>
<!--#if($settings[open_wap]){#-->
<div class="body_top">
<div class="l">{#base64_decode($settings['wap_notice']);#}</div>
<div class="m">
<!--#if($pd_uid){#-->
<a href="{#urr("wap","action=mydisk")#}">{$pd_username}</a>
<a href="{#urr("wap","action=upload")#}">上传</a>
<a href="{#urr("wap","action=mydisk")#}"><?=__('mydisk')?></a>
<!--#}else{#-->
<a href="{#urr("wap","action=login")#}"><?=__('login')?></a>
<a href="{#urr("wap","action=register")#}"><?=__('register')?></a>
<!--#}#-->
<!--#if($pd_uid){#-->
<a href="{#urr("wap","action=logout")#}" onclick="return confirm('<?=__('confirm_logout')?>');"><?=__('logout')?></a>
<!--#}#-->
</div>

<div class="clear"></div>
</div>

<div class="circle_box">
<div class="logo">
<a href="{#urr("wap","")#}"><img src="{$wap_tpl_dir}/images/logo.png" align="absmiddle" border="0" alt="{$settings['site_title']}"></a>
</div>
<div class="srh_box">
<input type="text" class="txt b_input" id="word" style="width:90px;" name="word" onfocus="$(this).animate({width:'120px'});" onblur="$(this).animate({width:'90px'});" placeholder="请输入关键词" value="{$word}" />
<input type="image" onclick="dosearch(1,true,$('#word').val());" src="images/view.gif" width="26" height="26" style="margin-left:-3px; margin-bottom:-8px; border:0"/>
</div>
<div class="clear"></div>
<script type="text/javascript">
function dosearch(pg,is_new,word){
	if(word==''){
		$('#word').focus();
		return false;
	}
	<!--#if(in_array($action,array('view','mydisk'))){#-->
	$('#view_box').hide();
	<!--#}#-->
	$('.tb_box_msg').hide();
	$('.cm_box').hide();
	if(pg==1){
	$('#ctn').html('');
	}
	$('#pgv_'+pg).show();
	$('#pgv_'+pg).html('<div class="loading_box" align="center"><img src="images/ajax_loading.gif" align="absmiddle" border="0" />努力加载中...</div>');
	$.ajax({
		type : 'post',
		url : '{$wap_base_dir}/wap_ajax.php',
		data : 'action=dosearch&pg='+pg+'&word='+word,
		dataType : 'text',
		success:function(msg){
			var arr = msg.split('|');
			if(arr[0] == 'true'){
				$('#pgv_'+pg).hide();

				if(is_new){
				$('#ctn').html(arr[1]);
				}else{
				$('#ctn').html($('#ctn').html()+arr[1]);
				}
			}else{
				$('#ctn').html(msg);
			}
		},
		error:function(){
		}

	});
}
</script>

</div>
<div class="clear"></div>
<div class="menu">
	<div class="nav">
	<ul>
		<li id="n_mydisk"><a href="{#urr("wap","action=mydisk")#}">我的</a></li>
		<li id="n_upload"><a href="{#urr("wap","action=upload")#}">上传</a></li>
		<li id="n_myfile"><a href="{#urr("wap","action=myfile")#}">文件</a></li>
		<li id="n_announce"><a href="{#urr("wap","action=announce")#}">公告</a></li>
	</ul>
	</div>
</div>
<script type="text/javascript">$('#n_{$action}').addClass('nav_sel');</script>
<!--#show_adv_data('m_header');#-->
<div style="padding:10px; padding-bottom:0; padding-left:0; border-bottom:1px #DFDFDF dotted"><img src="images/icon_nav.gif" align="absmiddle" border="0" /><a href="{#urr("wap","")#}">首页</a>{$sub_nav}</div>
<div>
<div id="pgv_1"></div>
<div id="ctn"></div>
</div>
<!--#}#-->