<!--#
##
#	Project: PHPDISK File Storage Solution
#	This is NOT a freeware, use is subject to license terms.
#
#	Site: http://www.phpdisk.com
#
#	$Id: groups.tpl.php 64 2016-07-30 14:01:18Z along $
#
#	Copyright (C) 2008-2016 PHPDisk Team. All Rights Reserved.
#
##
#-->
<?php !defined('IN_PHPDISK') && exit('[PHPDisk] Access Denied!'); ?>
<!--#if($action =='index'){#-->
<div id="container">
<h1><?=__('user_group_list')?><!--#sitemap_tag(__('user_group_list'));#--></h1>
<div>
<div class="tips_box"><img class="img_light" src="images/light.gif" align="absmiddle" /> <b><?=__('tips')?> </b>
<span class="txtgray"><?=__('user_group_list_tips')?></span>
</div>
<table align="center" width="98%" cellpadding="0" cellspacing="0" border="0" class="td_line">
<!--#
if(count($groups)){
#-->
<tr>
	<td width="40%" class="bold"><?=__('group_name')?></td>
	<td align="center" class="bold"><?=__('user_count')?></td>
	<td align="center" width="80" class="bold"><?=__('group_type')?></td>
	<!--td align="center" width="150" class="bold"><?=__('group_server')?></td-->
	<td align="center" class="bold"><?=__('operation')?></td>
</tr>

<!--#
	foreach($groups as $k => $v){
		$color = ($k%2 ==0) ? 'color1' :'color4';
#-->
<tr class="{$color}">
	<td>&nbsp;&nbsp;<a href="{$v['a_view']}" title="<?=__('view')?>">{$v['group_name']}</a></td>
	<td align="center">{$v['user_count']}</td>
	<td align="center">{$v['group_type_txt']}</td>
	<!--td align="center">{$v['group_server']}</td-->
	<td align="center">
	<a href="{$v['a_group_setting']}"><?=__('group_setting')?></a>&nbsp;
	<a href="{$v['a_group_modify']}"><?=__('group_modify')?></a>&nbsp;
	<!--#if(!$v['group_type']){#-->
	<a href="javascript:;" onclick="aconfirm('<?=__('group_delete_confirm')?>','{$v['a_group_delete']}');"><?=__('delete')?></a>
	<!--#}#-->
	</td>
</tr>	
<!--#
	}
	unset($groups);
}	
#-->
<tr>
	<td colspan="5"><input type="button" class="btn" onclick="go('{#urr(ADMINCP,"item=groups&menu=user&action=group_create")#}');" value="<?=__('create_group')?>" /></td>
</tr>
</table>
</div>
</div>
<!--#}elseif($action =='group_create' || $action =='group_modify'){#-->
<div id="container">
<h1><?=__('user_group_create')?></h1>
<div>
<div class="tips_box"><img class="img_light" src="images/light.gif" align="absmiddle" /> <b><?=__('tips')?>: </b>
<span class="txtgray"><?=__('user_group_create_tips')?></span>
</div>
<form action="{#urr(ADMINCP,"item=groups&menu=user")#}" method="post" onsubmit="return chkform(this);">
<input type="hidden" name="action" value="{$action}"/>
<input type="hidden" name="task" value="{$action}"/>
<input type="hidden" name="gid" value="{$gid}" />
<input type="hidden" name="formhash" value="{$formhash}" />
<table align="center" width="100%" cellpadding="4" cellspacing="0" border="0" class="td_line">
<tr>
	<td width="40%"><span class="bold"><?=__('group_name')?></span>: <br /><span class="txtgray"><?=__('group_name_tips')?></span></td>
	<td><input type="text" name="group_name" value="{$group_name}" size="40" maxlength="50"/></td>
</tr>
<tr>
	<td></td>
	<td><input type="submit" class="btn" value="<?=__('btn_submit')?>"/>&nbsp;<input type="button" class="btn" value="<?=__('btn_back')?>" onclick="javascript:history.back();" /></td>
</tr>
</table>
</form>
<script language="javascript">
function chkform(o){
	if(o.group_name.value.strtrim().length <2){
		atips("<?=__('js_group_name_error')?>");
		o.group_name.focus();
		return false;
	}	
}
</script>
</div>
</div>
<!--#}elseif($action =='group_setting'){#-->
<div id="container">
<h1><?=__('user_group_setting')?></h1>
<div>
<div class="tips_box"><img class="img_light" src="images/light.gif" align="absmiddle" /> <b><?=__('tips')?>: </b>
<span class="txtgray"><?=__('user_group_setting_tips')?></span>
</div>
<div class="search_box">
<div class="l"><img src="{$admin_tpl_dir}images/it_nav.gif" align="absbottom" /><a href="{#urr(ADMINCP,"item=groups&menu=user&action=index")#}"><b><?=__('all_group_name')?></b></a>: {$group_set['group_name']}</div>
</div>
<div class="clear"></div>
<form action="{#urr(ADMINCP,"item=groups&menu=user")#}" method="post">
<input type="hidden" name="action" value="{$action}"/>
<input type="hidden" name="task" value="{$action}"/>
<input type="hidden" name="gid" value="{$gid}"/>
<input type="hidden" name="formhash" value="{$formhash}" />
<table align="center" width="100%" cellpadding="4" cellspacing="0" border="0" class="td_line">
<tr>
	<td width="50%"><b><?=__('max_storage')?></b>: <br /><span class="txtgray"><?=__('max_storage_tips')?></span></td>
	<td><input type="text" name="max_storage" value="{$group_set['max_storage']}"/></td>
</tr>
<tr>
	<td><b>普通上传单个文件大小</b>: <br /><span class="txtgray">只对普通上传功能有效，格式如：例如 3G, 500M, 100M等，设置为0则为不限制</span></td>
	<td><input type="text" name="max_filesize" value="{$group_set['max_filesize']}"/></td>
</tr>
<tr>
	<td><b>HTML5大文件上传单个文件大小</b>: <br /><span class="txtgray">只对HTML5大文件上传功能有效<span class="txtred">(如果使用子服上传，需要同时更新子服配置才能生效)</span>，格式如：例如 3G, 500M, 100M等，设置为0则为不限制</span></td>
	<td><input type="text" name="h5_max_filesize" value="{$group_set['h5_max_filesize']}"/></td>
</tr>
<tr>
	<td><b><?=__('group_file_types')?></b>: <br /><span class="txtgray"><?=__('group_file_types_tips')?></span></td>
	<td><input type="text" name="group_file_types" size="50" value="{$group_set['group_file_types']}"/></td>
</tr>
<tr>
	<td><b><?=__('max_files')?></b>: <br /><span class="txtgray"><?=__('max_files_tips')?></span></td>
	<td><input type="text" name="max_files" value="{$group_set['max_files']}"/></td>
</tr>
<tr>
	<td><b>允许上传文件</b>: <br /><span class="txtgray">允许此组用户登录后上传文件</span></td>
	<td><input type="radio" name="gpl[can_upload]" value="1" {#ifchecked($gpl[can_upload],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_upload]" value="0" {#ifchecked($gpl[can_upload],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许下载自己的文件</b>: <br /><span class="txtgray">允许此组用户允许下载自己的文件</span></td>
	<td><input type="radio" name="gpl[can_down_myfile]" value="1" {#ifchecked($gpl[can_down_myfile],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_down_myfile]" value="0" {#ifchecked($gpl[can_down_myfile],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许下载别人的文件</b>: <br /><span class="txtgray">允许此组用户允许下载别人的文件</span></td>
	<td><input type="radio" name="gpl[can_down_other_file]" value="1" {#ifchecked($gpl[can_down_other_file],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_down_other_file]" value="0" {#ifchecked($gpl[can_down_other_file],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许编辑自己的文件</b>: <br /><span class="txtgray">文件上传后，允许此组用户允许编辑自己的文件</span></td>
	<td><input type="radio" name="gpl[can_edit_myfile]" value="1" {#ifchecked($gpl[can_edit_myfile],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_edit_myfile]" value="0" {#ifchecked($gpl[can_edit_myfile],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许删除自己的文件</b>: <br /><span class="txtgray">文件上传后，允许此组用户允许删除自己的文件</span></td>
	<td><input type="radio" name="gpl[can_del_myfile]" value="1" {#ifchecked($gpl[can_del_myfile],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_del_myfile]" value="0" {#ifchecked($gpl[can_del_myfile],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许删除自己回收站的文件</b>: <br /><span class="txtgray">文件上传后，允许此组用户允许删除自己回收站的文件</span></td>
	<td><input type="radio" name="gpl[can_del_recycle]" value="1" {#ifchecked($gpl[can_del_recycle],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_del_recycle]" value="0" {#ifchecked($gpl[can_del_recycle],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许创建文件外部下载链接</b>: <br /><span class="txtgray">文件上传后，允许此组用户允许创建文件外部下载链接，获取外部链接后，只要把链接发给其他的用户，即可实现文件下载，任何访客均可下载此共享文件</span></td>
	<td><input type="radio" name="gpl[can_share_link]" value="1" {#ifchecked($gpl[can_share_link],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_share_link]" value="0" {#ifchecked($gpl[can_share_link],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许共享文件夹给公司</b>: <br /><span class="txtgray"></span></td>
	<td><input type="radio" name="gpl[can_share_folder_to_corp]" value="1" {#ifchecked($gpl[can_share_folder_to_corp],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_share_folder_to_corp]" value="0" {#ifchecked($gpl[can_share_folder_to_corp],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许共享文件给公司</b>: <br /><span class="txtgray"></span></td>
	<td><input type="radio" name="gpl[can_share_file_to_corp]" value="1" {#ifchecked($gpl[can_share_file_to_corp],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_share_file_to_corp]" value="0" {#ifchecked($gpl[can_share_file_to_corp],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许共享文件夹给自己部门</b>: <br /><span class="txtgray"></span></td>
	<td><input type="radio" name="gpl[can_share_folder_to_depart]" value="1" {#ifchecked($gpl[can_share_folder_to_depart],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_share_folder_to_depart]" value="0" {#ifchecked($gpl[can_share_folder_to_depart],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许共享文件给自己部门</b>: <br /><span class="txtgray"></span></td>
	<td><input type="radio" name="gpl[can_share_file_to_depart]" value="1" {#ifchecked($gpl[can_share_file_to_depart],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_share_file_to_depart]" value="0" {#ifchecked($gpl[can_share_file_to_depart],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许共享文件夹给其他部门</b>: <br /><span class="txtgray"></span></td>
	<td><input type="radio" name="gpl[can_share_folder_to_other_depart]" value="1" {#ifchecked($gpl[can_share_folder_to_other_depart],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_share_folder_to_other_depart]" value="0" {#ifchecked($gpl[can_share_folder_to_other_depart],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许共享文件给其他部门</b>: <br /><span class="txtgray"></span></td>
	<td><input type="radio" name="gpl[can_share_file_to_other_depart]" value="1" {#ifchecked($gpl[can_share_file_to_other_depart],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_share_file_to_other_depart]" value="0" {#ifchecked($gpl[can_share_file_to_other_depart],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许共享文件夹给好友</b>: <br /><span class="txtgray"></span></td>
	<td><input type="radio" name="gpl[can_share_folder_to_buddy]" value="1" {#ifchecked($gpl[can_share_folder_to_buddy],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_share_folder_to_buddy]" value="0" {#ifchecked($gpl[can_share_folder_to_buddy],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许共享文件给好友</b>: <br /><span class="txtgray"></span></td>
	<td><input type="radio" name="gpl[can_share_file_to_buddy]" value="1" {#ifchecked($gpl[can_share_file_to_buddy],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_share_file_to_buddy]" value="0" {#ifchecked($gpl[can_share_file_to_buddy],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许发布自己的文件为公共共享</b>: <br /><span class="txtred">需要开启使用公共文件功能才能生效</span></td>
	<td><input type="radio" name="gpl[can_public_file]" value="1" {#ifchecked($gpl[can_public_file],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[can_public_file]" value="0" {#ifchecked($gpl[can_public_file],0)#}/>否</td>
</tr>
<tr>
	<td><b>允许取消自己的已发布公共共享</b>: <br /><span class="txtred">需要开启使用公共文件功能才能生效</span></td>
	<td><input type="radio" name="gpl[cancle_public_file]" value="1" {#ifchecked($gpl[cancle_public_file],1)#}/>是&nbsp;&nbsp;<input type="radio" name="gpl[cancle_public_file]" value="0" {#ifchecked($gpl[cancle_public_file],0)#}/>否</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td><input type="submit" class="btn" value="<?=__('btn_submit')?>"/>&nbsp;<input type="button" class="btn" value="<?=__('btn_back')?>" onclick="javascript:history.back();" /></td>
</tr>
</table>
</form>
</div>
</div>
<!--#}#-->
